using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace pecina
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int l = int.Parse(s[1]);
            string[] visine = Console.ReadLine().Split();
            int r = -1;
            for(int i = 0; i < n; i++)
            {
                int h = int.Parse(visine[i]);
                if (l >= h)
                {
                    r = i+1;
                    break;
                }
            }
            Console.WriteLine(r);
        }
    }
}